﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;
using Steema.TeeChart.Drawing;
using Steema.TeeChart.Functions;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        Candle candle = new Candle();
        public Form1()
        {
            InitializeComponent();

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            InitializeChart();
        }


        private void InitializeChart()
        {
            tChart1.Aspect.View3D = false;
            candle.FillSampleValues(200);
            tChart1.Series.Add(candle);

            Steema.TeeChart.Styles.Line tMovAvg = new Steema.TeeChart.Styles.Line();
            MovingAverage tMovingAverage = new MovingAverage();
            tMovingAverage.Period = 14;
            tMovingAverage.Weighted = true;
            tMovAvg.Function = tMovingAverage;
            tMovAvg.VertAxis = VerticalAxis.Left;
            tMovAvg.DataSource = candle;
            //adding object of any class in tag (just to store MovingAverage related data.)
            Form MyPopup = new Form();
            tMovAvg.Tag = MyPopup;
            //
            tChart1.Series.Add(tMovAvg);




        }
        private void button4_Click_1(object sender, EventArgs e)
        {
            //magnifier tool
            tChart1.Tools[0].Active = true;
        }


        private void tChart1_Click(object sender, EventArgs e)
        {
            tChart1.ShowEditor();
        }
    }
}
